/* 
	ДОБАВЛЯЕМ ВХОД ЧЕРЕЗ ПРАВЫЙ ТУРНИКЕТ
	АВТОМАТИЧЕСКИ ДОБАВЛЯЕТСЯ ДВЕ ЗАПИСИ
	ДЛЯ СОБЫТИЙ 28 и 32 (НА СЕКУНДУ БОЛЬШЕ)
*/
SET DATEFORMAT YMD
DECLARE
@i int = 0,                            /* счетчик для цикла */
@t DATETIME = '2022-09-05 08:20:30.000',   /* время входа */
@ID_HozOrgan int = 735,                  /* HozOrgan 735 kms */
@vIndexKey int = 58658818,             /* 58659073 - 5В(Вход), 58659074 - 5В(Выход), 58658818 - ПТ(Вход), 58658817 - ПТ(Выход), 58658561 - ЛТ(Выход), 58658562 - ЛТ(Вход) */
@vRemark varchar(50) = '6: Вход   Турн. пр.,   Считыватель №2', /*<Remark, varchar(50),> "Описание события" ("4: Вход/Выход   5-вход,   Считыватель №1/2", , "6: Вход/Выход   Турн. пр.,   Считыватель №2/1", "1: Вход/Выход   Турн. лев,   Считыватель №2/1" */
@vPar3 int = 16,                       /*<Par3, int,> "№ прибора " 15 - Левый турн(ЛТ) 16 - Правый турн(ПТ) 17 - 5-ый Вход(5В) */
@vPar4 int = 2,                        /*<Par4, int,> "№ шлейфа, реле или считывателя" ЛТ, ПТ: 1-Выход, 2-Вход; 5В: 1-Вход, 2-Выход */
@vEvent int = 28,                      /*28 - Доступ предоставлен, 32 - Проход (на секунду позже после предоставления доступа (код 28) */
@vDoorIndex int = 6,                   /*<DoorIndex, int,> "Индекс точки доступа (AccessPoint.GIndex)" 1 - ЛТ, 4 - 5В, 6 - ПТ */
@vMode int = 1,                        /*<Mode, int,> "Режим прохода Mode. Режим прохода: 0 – проход, 1 – вход, 2 – выход" */
@vZoneIndex int = 1,				   /*<ZoneIndex, int,> "Индекс (номер) зоны доступа" 1 - Вход, 0 - Выход*/
@vReaderIndex int = 1473;              /*<ReaderIndex, int,> "(резерв)" 1487 - 5В-Вход, 1488 - 5В-Выход, 1473 - ПТ-Вход, 1480 - ЛТ-Выход, 1472 - ПТ-Выход, 1481 - ЛТ-Вход */


WHILE @i < 2
BEGIN
	IF @i = 1
BEGIN
		SET @t = DATEADD(SS, 1, @t);
		SET @vEvent = 32;
END
INSERT INTO [orion1208].[dbo].[pLogData]
([TimeVal]
    ,[NumCom]
    ,[IDComp]
    ,[Par1]
    ,[Par2]
    ,[Par3]
    ,[Par4]
    ,[Event]
    ,[IndexKey]
    ,[RazdIndex]
    ,[HozOrgan]
    ,[HozGuest]
    ,[Remark]
    ,[DoorIndex]
    ,[Mode]
    ,[DeviceTime]
    ,[VEvent]
    ,[ZReserv]
    ,[ZoneIndex]
    ,[ReaderIndex]
    ,[Sign]
    ,[tpRzdIndex]
    ,[tpPar4]
    ,[IndexZone]
    ,[tpIndex]
    ,[GUID])
VALUES
    (@t   /*<TimeVal, time,> "Дата и время записи" */
        ,0    /*<NumCom, int,>  "Номер записи по конкретному компьютеру" хз что это такое, судя по запиясям - прирастающий идентификатор, непонятно где используется */
        ,1    /*<IDComp, int,> "Индекс компьютера (Сomps.GIndex)" s10 - 1 */
        ,3    /*<Par1, int,> "№ COM-порта" во всех записях - 3 */
        ,127  /*<Par2, int,> "№ пульта" во всех записях - 127 */
        ,@vPar3   /* "№ прибора " */
        ,@vPar4   /* "№ шлейфа, реле или считывателя" */
        ,@vEvent   /* "Событие" */
        ,@vIndexKey    /* "(резерв)" */
        ,0    /*<RazdIndex, int,>  "Индекс раздела" во всех записях БД стоит - 0 */
        ,@ID_HozOrgan    /* "ID сотрудника (pList.ID)" */
        ,1    /*<HozGuest, int,> "(резерв)" во всех записях БД стоит - 1 */
        ,@vRemark /* "Описание события" */
        ,@vDoorIndex   /* "Индекс точки доступа (AccessPoint.GIndex)" */
        ,@vMode    /* "Режим прохода" */
        ,@t /*<DeviceTime, datetime,> "Приборные дата и время события или дата и время посылки от ядра" - совпадает с TimeVal */
        ,0    /*<VEvent, int,> "Виртуальное событие (в случае переименования события)" всегда - 0 */
        ,3    /*<ZReserv, int,> "ID пароля (pMark.ID)" всегда - 3 */
        ,@vZoneIndex    /* "Индекс (номер) зоны доступа" */
        ,@vReaderIndex /* */
        ,0    /*<Sign, int,> "Флаг события (новое\старое). 0 – новое событие, 1 – старое событие"*/
        ,0    /*<tpRzdIndex, int,> "Флаг доступа" всегда - 0 */
        ,NULL /*<tpPar4, int,> "(резерв)" всегда NULL */
        ,@vReaderIndex /*<IndexZone, int,> "Индекс элемента" совпадает с ReaderIndex */
        ,8    /*<tpIndex, int,> "Тип элемента (определяет, что находится в IndexZone)" всегда - 8 */
        ,NewID() /*<GUID, uniqueidentifier,> ""*/);
SET @i = @i + 1;
END

GO


